cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Highlighted
Helper II
Helper II

Using python plolty package

Hi @community, 

 

I have an issue with using python plotly package for a custom vizualization. When I run the working python script  in Power BI (tested and working in Visual Studio) it shows an error and the following message appears:

 

plotly.PNG

 

at the same time the vizualization opens a new tab in my default browser. Is it possible to somehow avoid that opening and have the vizualization opened in Power BI.

 

Many thanks in advance. 

 

Cheers, 

Saro

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Community Support
Community Support

Re: Using python plolty package

Hi @Saro90 

 

I'm afraid that Plotly is not supported in Power BI currenly.  Based on the document, the following table shows which packages are supported in the Power BI service.

 

PYTHON PACKAGES THAT ARE SUPPORTED IN POWER BI
Package Version Link
matplotlib 3.2.1 https://pypi.org/project/matplotlib
numpy 1.18.4 https://pypi.org/project/numpy
pandas 1.0.1 https://pypi.org/project/pandas
scikit-learn 0.23.0 https://pypi.org/project/scikit-learn
scipy 1.4.1 https://pypi.org/project/scipy
s eaborn 0.10.1 https://pypi.org/project/seaborn
statsmodels 0.11.1 https://pypi.org/project/statsmodels
xgboost 1.1.0 https://pypi.org/project/xgboost

 

In addition, you could refer to this similar thread which should make sense. And you also could vote up the idea: https://ideas.powerbi.com/forums/265200-power-bi-ideas/suggestions/38260432-plotly-package-support-w... .

 

Best Regards,
Xue Ding
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

View solution in original post

2 REPLIES 2
Highlighted
Community Support
Community Support

Re: Using python plolty package

Hi @Saro90 

 

I'm afraid that Plotly is not supported in Power BI currenly.  Based on the document, the following table shows which packages are supported in the Power BI service.

 

PYTHON PACKAGES THAT ARE SUPPORTED IN POWER BI
Package Version Link
matplotlib 3.2.1 https://pypi.org/project/matplotlib
numpy 1.18.4 https://pypi.org/project/numpy
pandas 1.0.1 https://pypi.org/project/pandas
scikit-learn 0.23.0 https://pypi.org/project/scikit-learn
scipy 1.4.1 https://pypi.org/project/scipy
s eaborn 0.10.1 https://pypi.org/project/seaborn
statsmodels 0.11.1 https://pypi.org/project/statsmodels
xgboost 1.1.0 https://pypi.org/project/xgboost

 

In addition, you could refer to this similar thread which should make sense. And you also could vote up the idea: https://ideas.powerbi.com/forums/265200-power-bi-ideas/suggestions/38260432-plotly-package-support-w... .

 

Best Regards,
Xue Ding
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

View solution in original post

Highlighted
Helper II
Helper II

Re: Using python plolty package

@v-xuding-msft  Thanks for reply. 

Helpful resources

Announcements

August Community Highlights

Check out a full recap of the month!

Experience what’s next for Power BI

Join us for an in-depth look at the new Power BI features and capabilities at the free Microsoft Business Applications Launch Event.

Top Solution Authors